#include <stdio.h>
#include <string.h>
#include "defines.h"
#include "aig.h"

int fup_cp(int fup,unchar *fname)
/* 大文字のみ、小文字のみからなるファイル名のみ選択する */
{
int i,c,len;
	if (fup) {
		len=strlen(fname);
		for (i=0;i<len;i++) {
			c=fname[i];
			if (check_kanji1(c)) c=(c<<8)|fname[++i]; /*漢字対応*/
			if (fup==1) {
				/* 大文字のみの時に小文字が出てきた */
				if (c>='a' && c<='z') return(1);
			} else { /* fup=2 */
				/* 小文字のみの時に大文字が出てきた */
				if (c>='A' && c<='Z') return(1);
			}
		}
	}
	/* ok */
	return(0);
}
